Printago API
POST
/v1/integrations/ebay/{integrationId}/sync-orders
Sync eBay orders
Manually sync orders from eBay
Path Parameters
integrationId
required
string
The eBay integration ID
Query Parameters
includeShipped
required
string
Include shipped orders (for testing)
limit
required
string
Number of orders to sync
Response Schema
Response
ordersrequired
object[]
cancelledAtoptionalnullable
string
createdAtrequired
string
format: date-time
currencyoptionalnullable
string
customerIdoptionalnullable
string
pattern: ^[a-z0-9]{24}$
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
deadlineoptionalnullable
string
externalIdoptionalnullable
string
externalUrloptionalnullable
string
idrequired
string
pattern: ^[a-z0-9]{24}$
integrationIdoptionalnullable
string
pattern: ^[a-z0-9]{24}$
noteoptionalnullable
string
orderNumberrequired
string
priceoptionalnullable
number
priceBucketoptionalnullable
number
processedAtoptionalnullable
string
shippedAtoptionalnullable
string
sourceoptionalnullable
enum
etsyshopifymanualebaytiktok-shopwoocommerceshipstationwix
sourceRefoptionalnullable
string
statusrequired
"open" | "closed"
openclosed
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
syncDisabledrequired
boolean
updatedAtrequired
string
format: date-time
skippedrequired
number
totalAvailablerequired
number
totalSyncedrequired
number
Example Response
201 OK — application/json
{
"orders": [
{
"orderNumber": "string",
"source": "etsy",
"status": "open",
"cancelledAt": "2025-01-15T12:00:00.000Z",
"shippedAt": "2025-01-15T12:00:00.000Z",
"customerId": "string",
"integrationId": "string",
"priceBucket": 1,
"price": 1,
"currency": "string",
"externalId": "string",
"externalUrl": "string",
"sourceRef": "string",
"note": "string",
"deadline": "2025-01-15T12:00:00.000Z",
"processedAt": "2025-01-15T12:00:00.000Z",
"syncDisabled": true,
"customMetadata": {},
"id": "string",
"storeId": "string",
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}
],
"totalSynced": 1,
"totalAvailable": 1,
"skipped": 1
}